<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM `support` WHERE `id` = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
if ($arr['user_id'] != $b['id'] AND $b['level'] < 3) {
header('location: /');
die();
}

///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>'.$arr['name'].' </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/support" rel="v:url" property="v:title">Служба поддержки</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">'.$arr['name'].'</span></li></ol></div><div class="col-xs-12 col-sm-4 col-md-3 col-lg-3 text-right page_header_sidebar"></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
$title->SetTitle('Служба поддержки - '.$arr['name']);
echo '<div class="catSides"> <a href="/support"><i class="md-format-list-bulleted"></i> Служба поддержки</a> - '.$arr['name'].'</div>';
$list_cat = [1 => 'Оплата через WEBMONEY/QIWI', 2 => 'Проблемы с платежами', 3 => 'Изменение ника', 4 => 'Обжалование наказаний', 5 => 'Общие вопросы', 6 => 'Восстановление пароля', 7 => 'Изменение пароля', 8 => 'Найденные ошибки', 9 => 'Случаи мошенничества', 10 => 'Финансы, биллинг', 11 => 'Служба поддержки', 12 => 'Жалобы на администрацию', 13 => 'Заявки на участие в закрытых тестированиях.']; // массив с категориями
if ($arr['type'] == 1) {
$status = (($arr['user_id'] == $b['id'] OR $b['level'] > 2) ? '[<a href="?id='.$id.'&closed">Закрыть</a>]':NULL);
} elseif ($arr['type'] == 2) {
$status = ($b['level'] > 2 ? '[<a href="?id='.$id.'&open">Открыть</a>]':NULL);
}
if (isset($_GET['closed'])) {
if ($arr['user_id'] != $b['id'] AND $b['level'] < 3) {
header('location: /');
die();
}
DB::$dbs->query("UPDATE support SET type = ? WHERE id = ?", [2,$id]);
header('location: ?id='.$id);
die();
}
if (isset($_GET['open'])) {
if ($b['level'] < 3) {
header('location: /');
die();
}
DB::$dbs->query("UPDATE support SET type = ? WHERE id = ?", [1,$id]);
header('location: ?id='.$id);
die();
}
$WHO = Nick($arr['user_id']);
echo '<div class="row text_box"><div class="pull-right text-muted top_right_box"></div><i class="md-forum"></i>  Название тикета: <b>'.$arr['name'].'</b></br><b>Описание:</b></br> '.text($arr['text']).'</br><i class="md-forum"></i>  Создал: '.(($arr['user_id'] == $b['id']) ? '<b>Я</b>': $WHO).' ('.vr($arr['time']).')</br><i class="md-forum"></i>  Категория: '.strtr($arr['cat'], $list_cat).'</br><i class="md-forum"></i>  Статус: <b>'.($arr['type'] == 1 ? 'Открытый тикет':'Закрытый тикет').'</b> '.$status.'</div>';
echo '<div class="catSides"><i class="md-forum"></i> Комментарии</div>';
if ($arr['type'] == 1) {
if (isset($_POST['add'])) {
$ScreenName = $_FILES['file']['name'];
$ScreenSize = $_FILES['file']['size'];
$frm = array('.jpg', '.jpeg', '.gif', '.png');
$scr = mb_strtolower(strrchr($ScreenName, '.'), 'UTF8');
$list = ['text' => isset($_POST['text']) ? check($_POST['text']) : null];
if (empty($list['text'])) {
err('Введите текст!');
} elseif (!empty($ScreenName) && $ScreenSize > (1024 * 500)){
err('Размер скриншота не должен быть более 500 Kb!');
} elseif (!empty($ScreenName) && preg_match('/(\.php|\.pl|\.htaccess)/i', $ScreenName) || !empty($ScreenName) && !in_array($scr, $frm)) {
err('Скриншот не является изображением!');
} else {

$ScreenFile = (!empty($ScreenName) ?  'files/support/'.homeurl.'' . mt_rand(10000, 99999) . '_' .retrans($ScreenName) : '');
if (!empty($ScreenName)) {
copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/'.$ScreenFile);
}
DB::$dbs->query("INSERT INTO support_mess SET text = ?, user_id = ?, tid = ?, screen = ?, time = ?", [$list['text'],$b['id'],$id,$ScreenFile,time()]);
$mess = Nick($b['id']).' ответил вам в тикет <a href="/support/view.html?id='.$id.'">'.$arr['name'].'</a>';
if ($arr['user_id'] != $b['id']) {
jurnal($arr['user_id'],$mess,5);
}
header('location: ?id='.$id);
die();
}
}
echo '<div class="row text_box"><div class="pull-right text-muted top_right_box"></div> <form action="?id='.$id.'" method="POST" enctype="multipart/form-data">Текст:<br/><textarea class="form-control" rows="3" name="text"></textarea><br/>Скриншот: <br/><input type="file" name="file"/><br/><input type="submit" class="btn btn-primary" name="add" value="Отправить"/></form></div>';
} else err('<img src="/assets/images/warning.png" alt="*" align="middle" /> Этот тикет закрыт, вы не можете писать ответы и редактировать сообщения.');
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `support_mess` WHERE `tid` = ?", [$id]);
if ($look == 0) {
err('Ответов нет');
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM `support_mess` WHERE `tid` = ? ORDER BY `time` DESC LIMIT $start,$num", [$id]);
while($a = $sql->fetch()) {
echo '<div class="row text_box">'.Nick($a['user_id']).' ('.vr($a['time']).')</div><div class="row text_box">'.text($a['text']).(!empty($a['screen']) ? '<br/><b>Файл:</b><br/><a href="/'.$a['screen'].'">'.substr($a['screen'],20,250).'</a>' : NULL).'</div>';
}
if ($k_page > 1) {
str('?id='.$id.'&',$k_page,$page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>